summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2021-06-22 03:50:12 +0200
committerDavide Pesavento <pesa@gentoo.org>2021-06-22 03:50:12 +0200
commit3ba7c056c26a277d46f9a113ca1c19da01f976ea (patch)
treea36bfe304e04f3a00a964f207bd08675a1225ba3 /dev-python/PyQt-builder
parentdev-python/agate-excel: Enable unit tests (bug 797379) (diff)
downloadgentoo-3ba7c056c26a277d46f9a113ca1c19da01f976ea.tar.gz
gentoo-3ba7c056c26a277d46f9a113ca1c19da01f976ea.tar.bz2
gentoo-3ba7c056c26a277d46f9a113ca1c19da01f976ea.zip
dev-python/PyQt-builder: don't install Windows DLLs; fix deps; add USE=doc
Package-Manager: Portage-3.0.20, Repoman-3.0.3 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
Diffstat (limited to 'dev-python/PyQt-builder')
-rw-r--r--dev-python/PyQt-builder/PyQt-builder-1.10.1-r1.ebuild37
-rw-r--r--dev-python/PyQt-builder/PyQt-builder-1.10.1.ebuild22
2 files changed, 37 insertions, 22 deletions
diff --git a/dev-python/PyQt-builder/PyQt-builder-1.10.1-r1.ebuild b/dev-python/PyQt-builder/PyQt-builder-1.10.1-r1.ebuild
new file mode 100644
index 00000000000..2ab93714484
--- /dev/null
+++ b/dev-python/PyQt-builder/PyQt-builder-1.10.1-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="The PEP 517 compliant PyQt build system"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt-builder/ https://pypi.org/project/PyQt-builder/"
+
+MY_P=${PN}-${PV/_pre/.dev}
+if [[ ${PV} == *_pre* ]]; then
+ SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+fi
+S=${WORKDIR}/${MY_P}
+
+LICENSE="|| ( GPL-2 GPL-3 SIP )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/sip-5.5[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx doc --no-autodoc
+
+python_prepare_all() {
+ # don't install prebuilt Windows DLLs
+ sed -i -e "s:'dlls/\*/\*',::" setup.py || die
+ rm -r "${PN/-/_}.egg-info" || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/PyQt-builder/PyQt-builder-1.10.1.ebuild b/dev-python/PyQt-builder/PyQt-builder-1.10.1.ebuild
deleted file mode 100644
index c7f4ec9ff35..00000000000
--- a/dev-python/PyQt-builder/PyQt-builder-1.10.1.ebuild
+++ /dev/null
@@ -1,22 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-DISTUTILS_USE_SETUPTOOLS=rdepend
-PYTHON_COMPAT=( python3_{7..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="The PEP 517 compliant PyQt build system"
-HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt-builder/ https://pypi.org/project/PyQt-builder/ https://www.riverbankcomputing.com/static/Docs/PyQt-builder/"
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="|| ( GPL-2 GPL-3 SIP )"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-SLOT="0"
-RDEPEND="dev-python/sip[${PYTHON_USEDEP}]"
-BDEPEND="${RDEPEND}"
-
-src_install() {
- distutils-r1_src_install
-}